Creates a draggable perspective camera that can be added to a 3D scene.  Think of this camera like a virtual trackball - dragging the mouse rotates the camera around a target point.

To orbit (move the camera spherically around the pivot) click and drag with the left mouse button.

To pan (move the camera sideways or up and down), click and drag the middle mouse button.

To dolly (move the camera closer or farther away) scroll with a mouse or trackpad.

To roll (rotate the camera in place right or left) click and drag with the right mouse button.

- `Name` - The camera's name, to be set on `Render Scene to Window` nodes.
- `Modifier` - If set, only accept mouse input when this modifier key is pressed (set to `Option` to mimic Maya or Unity's default controls).
- `Window` - Which window is this scene object rendering to?  Used to calculate how much of an effect mouse drags should have.
- `Field Of View` — The camera's [angle of view](http://en.wikipedia.org/wiki/Angle_of_view), in degrees. 
- `Distance Min`, `Distance Max` — The minimum and maximum distance in front of the camera at which an object is visible (clipping planes), in Vuo coordinates. These should be greater than 0. 
- `Reset` - Set the camera's transform back to its default position.